import { type LAB, type OPTIONS, type RGB, type XYZ } from "./types.js";
declare class LabColor {
    MtxAdaptMa: {
        m00: number;
        m01: number;
        m02: number;
        m10: number;
        m11: number;
        m12: number;
        m20: number;
        m21: number;
        m22: number;
    };
    MtxAdaptMaI: {
        m00: number;
        m01: number;
        m02: number;
        m10: number;
        m11: number;
        m12: number;
        m20: number;
        m21: number;
        m22: number;
    };
    MtxXYZ2RGB: {
        m00: number;
        m01: number;
        m02: number;
        m10: number;
        m11: number;
        m12: number;
        m20: number;
        m21: number;
        m22: number;
    };
    MtxRGB2XYZ: {
        m00: number;
        m01: number;
        m02: number;
        m10: number;
        m11: number;
        m12: number;
        m20: number;
        m21: number;
        m22: number;
    };
    kE: number;
    kK: number;
    kKE: number;
    AdaptationMethod: number;
    RefWhiteRGB: XYZ;
    Gamma: number;
    GammaRGB: number;
    GammaRGBIndex: number;
    RefWhite: XYZ;
    XYZ: XYZ;
    /**
     * The constructor for the labColor class
     *
     * @param {Object} options The options for the class
     * @constructor
     */
    constructor(options?: OPTIONS);
    /**
     * Set the reference white
     *
     * @param whiteId
     */
    SetRefWhite(whiteId: number): void;
    /**
     * Get RGB model
     *
     * @param {number} modelId
     */
    SetRGBModel(modelId: number): void;
    /**
     * Set the gamma correction curve
     * @param typeID
     * @constructor
     */
    SetGamma(typeID: number): void;
    /**
     * Set the adaptation method to use when converting color spaces
     *
     * @param typeID
     * @constructor
     */
    SetAdaptation(typeID: number): void;
    Determinant3x3(m: Record<string, number>): number;
    MtxTranspose3x3(m: Record<string, number>): void;
    MtxInvert3x3(m: Record<string, number>, i: Record<string, number>): void;
    Compand(linearRaw: number): number;
    InvCompand(compandedRaw: number): number;
    labToXYZ(lab: LAB): void;
    XYZToRgb(): RGB;
    rgbToXYZ(rgb: RGB): void;
    XYZToLab(): {
        l: number;
        a: number;
        b: number;
    };
}
export default LabColor;
