import LabColor from "./LabColor.js";
/**
 * Converts a rgb color to a lab color
 * @param rgb
 * @param options
 */
export function rgbToLab(rgb, options) {
    const lc = new LabColor(options);
    lc.rgbToXYZ(rgb);
    return lc.XYZToLab();
}
/**
 * Converts a rgb color to a lab color
 * @param rgb
 * @param options
 */
export function rgbToXyz(rgb, options) {
    const lc = new LabColor(options);
    lc.rgbToXYZ(rgb);
    return lc.XYZ;
}
/**
 * Converts a lab color to a rgb color
 * @param lab
 * @param options
 */
export function labToRgb(lab, options) {
    const lc = new LabColor(options);
    lc.labToXYZ(lab);
    return lc.XYZToRgb();
}
/**
 * Converts a lab color to a rgb color
 * @param lab
 * @param options
 */
export function labToXyz(lab, options) {
    const lc = new LabColor(options);
    lc.labToXYZ(lab);
    return {
        X: lc.XYZ.X,
        Y: lc.XYZ.Y,
        Z: lc.XYZ.Z,
    };
}
